#include <iostream>
#include <random>
#include <vector>

int main() {
    std::random_device rd;
    std::mt19937 gen(rd()); // Mersenne Twister seeded with rd()
    std::uniform_int_distribution<> dis(1, 100);

    std::vector<int> numbers;

    // Generate 10 random numbers between 1 and 100
    for (int i = 0; i < 10; ++i) {
        numbers.push_back(dis(gen));
    }

    // Print the generated numbers
    std::cout << "Generated numbers: ";
    for (int num : numbers) {
        std::cout << num << " ";
    }
    std::cout << std::endl;

    return 0;
}
